[Volute] r3936 - trunk/projects/dm/vo-dml/models/tesselation/scripts

Volute commit messages volutecommits at g-vo.org
Wed Apr 12 13:38:43 CEST 2017


Author: lmichel
Date: Wed Apr 12 13:38:42 2017
New Revision: 3936

Log:
Script sample running the XSL transformation without setting specific property files

Added:
   trunk/projects/dm/vo-dml/models/tesselation/scripts/
   trunk/projects/dm/vo-dml/models/tesselation/scripts/builModel.bash
   trunk/projects/dm/vo-dml/models/tesselation/scripts/buildModelDoc.bash

Added: trunk/projects/dm/vo-dml/models/tesselation/scripts/builModel.bash
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/projects/dm/vo-dml/models/tesselation/scripts/builModel.bash	Wed Apr 12 13:38:42 2017	(r3936)
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+#
+# Global resources
+#
+rootDir=/home/michel/vodml/testbench
+xmiDir=$rootDir/models
+xsltDir=$rootDir/xslt
+modelDir=$rootDir/models
+antDir=$rootDir/ant
+graphvizPath=/usr/bin/dot
+
+#
+# Get model references
+#
+if [ $# != 1 ] 
+then
+	echo USAGE buildModel [model prefix]
+	exit 1
+fi
+#
+# Setup of XMI file access
+#
+lcModel=`echo "${1,,}"`
+if [ ! -f $xmiDir/$1.xmi ]
+then 
+	echo File $xmiDir/$1.xmi does not exist	
+	echo No $1 project in $xmiDir	
+	echo USAGE buildModel [model prefix]
+	exit 1
+fi
+
+ant -Dmodels=$modelDir -Dmodel=$modelDir -Dxmi.source=$xmiDir/$1.xmi -Dxslt=$rootDir/xslt \
+    -Dvodml.model=$modelDir/$lcModel.vo-dml.xml -f $antDir/build.xml xmi2vo-dml_Modelio_UML2.4.1
+

Added: trunk/projects/dm/vo-dml/models/tesselation/scripts/buildModelDoc.bash
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ trunk/projects/dm/vo-dml/models/tesselation/scripts/buildModelDoc.bash	Wed Apr 12 13:38:42 2017	(r3936)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+#
+# Global resources
+#
+rootDir=/home/michel/vodml/testbench
+xmiDir=$rootDir/models
+xsltDir=$rootDir/xslt
+modelDir=$rootDir/models
+antDir=$rootDir/ant
+graphvizPath=/usr/bin/dot
+
+#
+# Get model references
+#
+if [ $# != 1 ] 
+then
+	echo USAGE buildModelDoc [model prefix]
+	exit 1
+fi
+#
+# Setup of XMI file access
+#
+#lcModel=`echo "${1,,}"`
+lcModel=$1
+ant -Dmodels=$modelDir -Dmodel=$modelDir -Dgraphviz.path=$graphvizPath \
+    -Dvodml.model=$modelDir/$lcModel.vo-dml.xml \
+    -Dmodelname=$1 -Dxslt=$xsltDir -f $antDir/build.xml vo-dml2html


More information about the Volutecommits mailing list